#ifndef _CCONFIG_H_
#define _CCONFIG_H_

#include <STRING>
#include <WINDOWS.H>
#include <VECTOR>

const std::string TEMP_NAME = "configtemp.txt";

struct TDataConfig
{
	std::string skupina;
	std::string name;
	int iValue;
};

class C_CONFIG_0
{
private :
	std::vector<TDataConfig> vData;
	std::string _fileName;
	
	/* FUNKCE */
	void _Init();
	bool _PreCompile(std::string fileName,std::string &getFile);
	void _ReadRow();

public :
	C_CONFIG_0();
	C_CONFIG_0( std::string name );
	~C_CONFIG_0();
	
public :
	bool LoadFile();
	inline bool LoadFile(std::string name)
	{
		_fileName = name;
		return (this->LoadFile());
	}
	bool LoadInteger(std::string skupina,std::string promnena,int &iValue);
};

#endif //_CCONFIG_H_